{% extends "layout.html" %}

{% block content %}
    <section class="container">
        <div class="row mt-5">
            <article class="col-xs-12 mx-auto">
                <form class="form-inline" action="{% url 'building.all' %}" method="GET">
                    <div class="form-group mb-2">
                        <input type="date" class="form-control" id="from" name="from" placeholder="Desde">
                    </div>

                    <div class="form-group mx-sm-3 mb-2">
                        <input type="date" class="form-control" id="to" name="to" placeholder="Hasta">
                    </div>

                    <button type="submit" class="btn btn-primary mb-2">Filter</button>
                </form>
            </article>
        </div>
    </section>

    <section class="container">
        <div class="row mt-5">
            {% if buildings|length >= 1 %}
                {% for building in buildings %}
                    <article class="col-xs-12 col-sm-4">
                        <div class="card" style="width: 18rem;">
                            <img class="card-img-top" src="{{ building.image.url }}" alt="{{ building.title }}">

                            <div class="card-body">
                                <h5 class="card-title">{{ building.title }}</h5>
                                <p class="card-text">{{ building.description }}</p>
                                <a href="{% url 'building.one' id=building.id %}" class="btn btn-primary">View more</a>
                            </div>
                        </div>
                    </article>
                {% endfor %}
            {% else %}
                <div class="alert alert-danger" role="alert">
                    No properties for this date range
                </div>
            {% endif %}
        </div>
    </section>

    <section class="container">
        <div class="row mt-5">
            <div class="col-xs-12 mx-auto">
                {% if buildings.has_other_pages %}
                    <ul class="pagination">
                        {% if buildings.has_previous %}
                            <li class="page-item">
                                <a class="page-link" href="?page={{ buildings.previous_page_number }}">&laquo;</a>
                            </li>
                        {% else %}
                            <li class="page-item disabled">
                                <a class="page-link" href="#">Previous</a>
                            </li>
                        {% endif %}

                        {% for i in buildings.paginator.page_range %}
                            {% if buildings.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">{{ i }}</a>
                                </li>
                            {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                                </li>
                            {% endif %}
                        {% endfor %}

                        {% if buildings.has_next %}
                            <li class="page-item">
                                <a class="page-link" href="?page={{ buildings.next_page_number }}">Next</a>
                            </li>
                        {% else %}
                            <li class="page-item disabled">
                                <a class="page-link" href="#">Next</a>
                            </li>
                        {% endif %}
                    </ul>
                {% endif %}
            </div>
        </div>
    </section>
{% endblock %}